## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate statrs

Name:           rust-statrs
Version:        0.16.0
Release:        %autorelease
Summary:        Statistical computing library for Rust

License:        MIT
URL:            https://crates.io/crates/statrs
Source:         %{crate}-%{version_no_tilde}-clean.crate
# script to create tarball without files with unacceptable licenses
# run "rust2rpm statrs" and then "./gen_clean_tarball.sh" for new versions
Source:         gen_clean_tarball.sh
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
# * bump nalgebra from 0.29 to 0.33:
#   https://github.com/statrs-dev/statrs/commit/9cb3081
#   https://github.com/statrs-dev/statrs/pull/162
#   https://github.com/statrs-dev/statrs/pull/187
# * drop nightly-only feature
Patch:          statrs-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Statistical computing library for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip tests that require non-redistributable data files
%cargo_test -- -- --skip statistics::iter_statistics::tests::test_covariance_consistent_with_variance --skip statistics::iter_statistics::tests::test_covariance_is_symmetric --skip statistics::iter_statistics::tests::test_mean --skip statistics::iter_statistics::tests::test_pop_covar_consistent_with_pop_var --skip statistics::iter_statistics::tests::test_std_dev
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Sep 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.16.0-4
- Bump nalgebra dependency from 0.32 to 0.33

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.16.0-1
- Update to version 0.16.0; Fixes RHBZ#2122082

* Sat Aug 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.0-8
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Mar 28 2023 Kalev Lember <klember@redhat.com> - 0.15.0-6
- Bump nalgebra dependency from 0.30 to 0.32

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 06 2022 Fabio Valentini <decathorpe@gmail.com> - 0.15.0-3
- Bump nalgebra dependency from 0.29 to 0.30

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 03 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.15.0-1
- Initial import; Fixes: RHBZ#1993498
## END: Generated by rpmautospec
